# ACE_NS_String Class Reference

This class and ACE_NS_Internal are used as Adapters to work with the Map_Manager. More...

`#include <Local_Name_Space.h>`

List of all members.

## Public Member Functions

| ACE_NS_String (void)
| Default "no-op" constructor.
| ACE_NS_String (ACE_WCHAR_T *dst, const ACE_WCHAR_T *src, size_t len)
| Initialization method.
| ACE_NS_String (const ACE_NS_WString &)
| Converts an ACE_NS_WString to an ACE_NS_String;.
| ~ACE_NS_String (void)
| Destructor.
| operator ACE_NS_WString () const
| Converts an ACE_NS_String to fresh copy of an ACE_NS_WString;.
char * | char_rep (void) const
| Return the ASCII character representation.
int | strstr (const ACE_NS_String &) const
| Matches on substrings.
bool | operator== (const ACE_NS_String &) const
| Compare an ACE_NS_String.
bool | operator!= (const ACE_NS_String &) const
| Compare an ACE_NS_String.
size_t | len (void) const
| Returns length of the string.
ACE_WCHAR_T * | fast_rep (void) const
| Returns the underlying representation.
u_long | hash (void) const
| Returns a hash value for this string.

## Private Attributes

size_t | len_
| Length of the string.
ACE_WCHAR_T * | rep_
| This actually points into shared/persistent memory.
int | delete_rep_

## Detailed Description

This class and ACE_NS_Internal are used as Adapters to work with the Map_Manager.

In order to work correctly, this class must be able to convert back and forth with <ace_ns_wstrings>.

## Constructor & Destructor Documentation

ACE_NS_String::ACE_NS_String | ( | void |  | ) |

| Default "no-op" constructor.

ACE_NS_String::ACE_NS_String | ( | ACE_WCHAR_T * | dst,
|  | const ACE_WCHAR_T * | src,
|  | size_t | len
| ) |

| Initialization method.

ACE_NS_String::ACE_NS_String | ( | const ACE_NS_WString & |  | ) |

| Converts an ACE_NS_WString to an ACE_NS_String;.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_NS_String::~ACE_NS_String | ( | void |  | ) |

| Destructor.

## Member Function Documentation

char * ACE_NS_String::char_rep | ( | void |  | ) | const

| Return the ASCII character representation.

ACE_WCHAR_T * ACE_NS_String::fast_rep | ( | void |  | ) | const

| Returns the underlying representation.

u_long ACE_NS_String::hash | ( | void |  | ) | const

| Returns a hash value for this string.

size_t ACE_NS_String::len | ( | void |  | ) | const

| Returns length of the string.

ACE_NS_String::operator ACE_NS_WString | ( |  | ) | const

| Converts an ACE_NS_String to fresh copy of an ACE_NS_WString;.

bool ACE_NS_String::operator!= | ( | const ACE_NS_String & |  | ) | const

| Compare an ACE_NS_String.

bool ACE_NS_String::operator== | ( | const ACE_NS_String & |  | ) | const

| Compare an ACE_NS_String.

int ACE_NS_String::strstr | ( | const ACE_NS_String & |  | ) | const

| Matches on substrings.

## Member Data Documentation

int ACE_NS_String::delete_rep_`[private]`

| Should rep_ be deleted when destructed (only used for WString conversions)

size_t ACE_NS_String::len_`[private]`

| Length of the string.

ACE_WCHAR_T* ACE_NS_String::rep_`[private]`

| This actually points into shared/persistent memory.

The documentation for this class was generated from the following files:

- Local_Name_Space.h
- Local_Name_Space.cpp